import 'package:legacy_dashboard_shell/legacy_dashboard_shell.dart';
import 'package:flutter/material.dart';
import 'package:go_router/go_router.dart';
import 'package:get_it/get_it.dart';
import 'package:navigation/navigation.dart';

class LegacyDashboardBuilder {
  const LegacyDashboardBuilder();

  Widget build(BuildContext context, StatefulNavigationShell navShell) {
    final NavigationContract navigationContract = GetIt.I<NavigationContract>();

    return LegacyDashboardScreen(
      navigationShell: navShell,
      navigationContract: navigationContract,
    );
  }
}
